module transmiter(
	input wire 			clock,
	input wire 			start,
	input wire[7:0]	data,
	
	output reg ready 			,//TODO REMOVE
	output reg out
);

	reg [7:0] _data;
	reg [3:0] _to_transmit;
	
	always @(posedge clock, posedge start)
	begin
		if (start)
		begin
			ready	<= 0;
			
			_to_transmit 	<= 8;
			_data 			<= data;
		end
		else if (_to_transmit > 0)
		begin
			out <= _data[7];
			
			_to_transmit 	<= _to_transmit - 1;
			_data 			<= _data << 1;
		end
		else
		begin
			out 		<= 0;
			ready 	<= 1;
		end
	end	
	
endmodule
